unit main;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, IniFiles, Forms, Controls, Graphics, Dialogs, StdCtrls,
  FlexiSwitch;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    ColorButton1: TColorButton;
    ColorDialog1: TColorDialog;
    Edit1: TEdit;
    FlexiSwitch1: TFlexiSwitch;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure ColorButton1ColorChanged(Sender: TObject);
    procedure FlexiSwitch1Left(Sender: TObject);
    procedure FlexiSwitch1Right(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure setupForm(ini: TIniFile);

begin
  Form1.Height := ini.ReadInteger('window','height',240);
  Form1.Width := ini.ReadInteger('window','width',320);
  Form1.Color := ini.ReadInteger('window','color',clNone);
  if ini.ReadBool('window','switch',False) then
    Form1.FlexiSwitch1.Direction := fsRight
  else
    Form1.FlexiSwitch1.Direction := fsLeft;

end;

procedure safeForm(ini: TIniFile);
var
  fsDirection : boolean;
begin
  if Form1.FlexiSwitch1.Direction = fsRight then
    fsDirection := True
  else
    fsDIrection := False;

  ini.WriteInteger('window','height',Form1.Height);
  ini.WriteInteger('window','width',Form1.Width);
  ini.WriteInteger('window','color',Form1.Color);
  ini.WriteBool('window', 'switch', fsDirection)
end;

procedure TForm1.Button1Click(Sender: TObject);
var
  a : string;
begin
  a := Form1.Edit1.Text;
  Form1.Label1.Caption:= a;
  Form1.Label2.Caption:= 'Klick';
  Form1.Label3.Caption:= IntToStr(Form1.Height);
  Form1.Label4.Caption:= IntToStr(Form1.Width);



end;

procedure TForm1.Button2Click(Sender: TObject);
begin
   if Form1.ColorDialog1.Execute then
    Form1.Color := Form1.ColorDialog1.Color;
end;

procedure TForm1.ColorButton1ColorChanged(Sender: TObject);
begin
  Form1.Color := Form1.ColorButton1.ButtonColor;
end;

procedure TForm1.FlexiSwitch1Left(Sender: TObject);
begin
  Form1.ColorButton1.Enabled:=false;
end;

procedure TForm1.FlexiSwitch1Right(Sender: TObject);
begin
  Form1.ColorButton1.Enabled:=true;
end;

procedure TForm1.FormCreate(Sender: TObject);

var
  Ini: TIniFile;

begin
  Ini:=TIniFile.Create('goarista.ini');
  try
    setupForm(ini);  {hier kommen gleich die Lese/Schreibbefehle rein}
  finally
    Ini.Free;
  end;
end;

procedure TForm1.FormDestroy(Sender: TObject);

var
  Ini: TIniFile;

begin
   Ini:=TIniFile.Create('goarista.ini');
  try
    safeForm(ini);  {hier kommen gleich die Lese/Schreibbefehle rein}
  finally
    Ini.Free;
  end;
end;



end.

